Bug 8507 - koha-create should be updated to use DOM indexing for bib
Summary: koha-create should be updated to use DOM indexing for bib
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-26 06:07 UTC by Pongtawat
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8507: koha-create should be updated to use DOM indexing for bib (8.53 KB, patch)
2013-08-08 18:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 8507: koha-create should be updated to use DOM indexing for bib (10.82 KB, patch)
2013-08-08 19:29 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 8507: koha-create should be updated to use DOM indexing for bib (10.89 KB, patch)
2013-08-09 01:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 8507: koha-create should be updated to use DOM indexing for bib (17.44 KB, patch)
2013-08-09 18:52 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 8507: koha-create should be updated to use DOM indexing for bib (17.49 KB, patch)
2013-08-09 22:50 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 8507 Follow-Up: Fix path (1.00 KB, patch)
2013-08-09 23:00 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 8507: [SIGNEF OFF] Follow-Up: Fix path (1.08 KB, patch)
2013-08-10 16:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 8507: koha-create should be updated to use DOM indexing for bib (17.55 KB, patch)
2013-08-13 09:05 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8507: [SIGNEF OFF] Follow-Up: Fix path (1.14 KB, patch)
2013-08-13 09:06 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pongtawat 2012-07-26 06:07:46 UTC
Koha 3.8.3 introduce DOM indexing for bibliographic records and the source installation ask the user at installation if it should use DOM indexing or previous indexing mode.

However, the koha-create tool in Debian package still use the old way of bibliographic records indexing, without any option to choose DOM indexing. It should be updated to new DOM indexing or provide an option to choose bibliographic records indexing method.
Comment 1 Katrin Fischer 2013-03-07 11:32:46 UTC
Giving this a little nudge and updating version.
Comment 2 Tomás Cohen Arazi 2013-08-08 18:44:06 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2013-08-08 19:29:13 UTC Comment hidden (obsolete)
Comment 4 Mirko Tietgen 2013-08-08 21:49:37 UTC
While --biblio-idx seems to be working, i can't see a difference for --auth-idx. koha-conf.xml always points to zebra-authority.cfg (the GRS1 file).
Comment 5 Tomás Cohen Arazi 2013-08-09 01:33:32 UTC Comment hidden (obsolete)
Comment 6 Mirko Tietgen 2013-08-09 04:48:03 UTC
After the fix koha-create works for publicserver, authorityserver and biblioserver.

I noticed that
- there is still one unchanged instance of <config>/var/lib/koha/domdom2/zebra-biblios.cfg</config> in koha-conf.xml, in the "mergeserver" part at the beginning of the file
- there is no reference to retrieval-info-bib-dom.xml in koha-conf.xml (cf. http://wiki.koha-community.org/wiki/Switching_to_dom_indexing )

Please let me know if it is supposed to be that way or update the patch and I'll try actual indexing and sign off.
Comment 7 Tomás Cohen Arazi 2013-08-09 18:52:00 UTC Comment hidden (obsolete)
Comment 8 Mirko Tietgen 2013-08-09 22:50:51 UTC Comment hidden (obsolete)
Comment 9 Mirko Tietgen 2013-08-09 23:00:45 UTC Comment hidden (obsolete)
Comment 10 Mirko Tietgen 2013-08-09 23:03:56 UTC
I followed the test plan and then tried DOM and GRS1 indexing and search for biblio and authorities. Works for me.

I added a tiny follow-up to fix the path for "mergeserver"
Comment 11 Tomás Cohen Arazi 2013-08-10 16:43:37 UTC Comment hidden (obsolete)
Comment 12 Chris Cormack 2013-08-13 09:05:51 UTC
Created attachment 20288 [details] [review]
Bug 8507: koha-create should be updated to use DOM indexing for bib

This patch makes the koha-create script install the file zebra-biblios-dom.cfg
with the proper string substitutions inside on the new instance koha-conf.xml file.

It also adds two option switches that control the indexing mode for the instance:

 --biblio-idx {dom|grs1}
 --auth-idx {dom|grs1}

DOM indexing is set as the default for both authorities and bibliographic records.

Following drojf (thanks!) advise I arranged stuff like explained here:

  http://wiki.koha-community.org/wiki/Switching_to_dom_indexing

To test:
- Apply the patch
- Build your own packages and install them on a test server
a) Create a new instance without using the new switches like:
 $ koha-create --create-db domtest
 - Check there's a file /etc/koha/sites/domtest/zebra-biblios-dom.cfg
 - Check that /etc/koha/sites/domtest/koha-conf.xml points to:
   * zebra-biblios-dom.cfg (biblioserver section)
   * zebra-biblios-dom.cfg (publicserver section)
   * zebra-authorities-dom.cfg (authorityserver section)
 - Success means the new default is DOM
b) Play with the 4 possible combination of option switches
 $ koha-create --create-db --auth-idx grs1 --biblio-idx grs1 domtest
 $ koha-create --create-db --auth-idx grs1 --biblio-idx dom domtest
 $ koha-create --create-db --auth-idx dom --biblio-idx grs1 domtest
 $ koha-create --create-db --auth-idx dom --biblio-idx dom domtest
 - Check the koha-conf.xml file reflects the chosen options.
c) Run
 $ koha-create --help
 - It should advertise this addition accordingly.
d) Run
 $ man koha-create
 - Man page for koha-create should provide good information on the new switches behaviour

Regards
To+

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 13 Chris Cormack 2013-08-13 09:06:06 UTC
Created attachment 20289 [details] [review]
Bug 8507: [SIGNEF OFF] Follow-Up: Fix path

Fixed the path to __ZEBRA_BIBLIOS_CFG__ for <server id="mergeserver">

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Good catach drojf.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 14 Galen Charlton 2013-08-13 14:38:20 UTC
Pushed to master.  Thanks, Tomás!
Comment 15 Tomás Cohen Arazi 2013-10-29 14:01:06 UTC
This patch has been pushed to 3.12.x, will be in 3.12.6.